v1-platform
Activate Program
Activate Program
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs/{program_id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs/{program_id}/activate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/programs/{program_id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_overrides": {},
"created_at": "2023-11-07T05:31:56Z",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"recurrence": {},
"updated_at": "2023-11-07T05:31:56Z",
"version_bundle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Path Parameters
Response
Successful Response
Available options:
one_time, continuous Available options:
automatic, review_required Available options:
draft, active, paused, archived ⌘I
Activate Program
